.row {
  margin: auto;
}

.transparent {
  background-color: transparent !important;
}

.sections--title {
  letter-spacing: 1px;
  text-transform: uppercase;
  // font-family: "Kaushan Script", cursive !important;
  margin-left: auto;
  margin-right: auto;
  text-align: center;

  // xs
  @media (max-width: 600px) {
    font-size: 1.6em;
  }

  // sm
  @media (min-width: 600px) and (max-width: 960px) {
    font-size: 1.8em;
  }

  // md
  @media (min-width: 960px) {
    font-size: 2em;
  }

  .theme--light & {
    color: white;
  }
}

.btn--chevron {
  .theme--light & {
    color: white;
  }
}

.social-icons {
  & > * {
    cursor: pointer;

    &:hover {
      transform: scale(1.2);
    }
  }
}

.main--section {
  width: 100%;
  background: #56ccf2; /* fallback for old browsers */
  background: -webkit-linear-gradient(to right, #2f80ed, #56ccf2); /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(
    to right,
    #2f80ed,
    #56ccf2
  ); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
}

.home__section {
  &.section--hero {
    min-height: 100vh;

    .btn--redirect {
      margin: 10px;
      font-family: "Kaushan Script", cursive !important;
    }

    .home--page-subtitle {
      // font-family: "Anton", sans-serif;
      font-size: 1.8em !important;
      letter-spacing: 2px;
      user-select: none;
      outline: 2px solid black;
    }

    .home--page-title {
      // font-family: "Kaushan Script", cursive !important;
      width: 100%;
      user-select: none;
      padding: 0;

      .title--sub,
      .title--main,
      .title--amp {
        color: white;
      }

      .title--sub {
        font-size: 4em;
        letter-spacing: 5px;

        // xs
        @media (max-width: 600px) {
          font-size: 1.7em;
        }

        // sm
        @media (min-width: 600px) and (max-width: 960px) {
          font-size: 2.5em;
        }

        // sm
        @media (min-width: 960px) {
          font-size: 3em;
        }
      }

      .title--main {
        letter-spacing: 5px;

        // xs
        @media (max-width: 600px) {
          font-size: 1.7em;
        }

        // sm
        @media (min-width: 600px) and (max-width: 960px) {
          font-size: 3em;
        }

        // md
        @media (min-width: 960px) {
          font-size: 5em;
        }
      }

      .title--amp {
        font-size: 1.7em;
      }
    }

    .home--page-welcome {
      font-size: 1em;
    }
  }

  &.section--announcements {
    min-height: 100vh;

    // .announcement--container {
    // .v-card__title {
    // font-family: "Acme" !important;
    // }

    // .v-card__subtitle {
    // font-family: "Roboto Light" !important;
    // }
    // }

    .v-carousel {
      .v-window__container {
        background: red;
      }
      .v-image {
        text-align: center;
      }
    }
  }

  &.section--features {
    min-height: 100vh;

    .feature__card {
      .v-card__title {
        font-size: 1em;
        margin: 0;
        padding: 0;
        // font-family: "Kaushan Script", cursive !important;
        color: rgb(58, 58, 58);
      }

      .v-card__subtitle {
        // font-family: "Roboto", cursive !important;
        color: rgb(90, 90, 90);
        font-size: 0.8em;
        margin: 0;
        padding: 0;
      }
    }
  }

  .announcement-carousel {
    .v-carousel__item {
      background: #fff;
    }
  }

  &.section--masters {
    min-height: 100vh;
  }
}

.site-heading {
  letter-spacing: 10px;
}
